@echo off
rem Runs end-to-end export/build/deploy process
set "errorlevel="
set ant=call %ANT_HOME%\bin\ant -Dbasedir=%~dp0
set build_script=%~dp0\dp-build-deploy.xml

rem Export all artifacts from dev
rem note that we're saving config export in a temp directory since these files would already be checked in
%ant% -f %build_script% export.crypto export.services -Ddp.env=dev -Dservices.config.home=dpconfigs-temp %*
if %errorlevel% neq 0 (exit /b %errorlevel%)

rem Deploy files and configuration to test
%ant% -f %build_script% clean.deploy.services -Ddp.env=test %*
if %errorlevel% neq 0 (exit /b %errorlevel%)

rem Deploy to test by copying from dev directly (not recommended)
%ant% -f %build_script% deploy.services.copy -Ddp.env=test %*
if %errorlevel% neq 0 (exit /b %errorlevel%)

rem Test our rollback mechanism
%ant% -f %build_script% rollback -Ddp.env=test %*
if %errorlevel% neq 0 (exit /b %errorlevel%)

rem Deploy the build to pre-prod
%ant% -f %build_script% clean.deploy.domain -Ddp.env=preprod %*
if %errorlevel% neq 0 (exit /b %errorlevel%)

rem Deploy to our two prod devices
%ant% -f %build_script% clean.deploy.domain -Ddp.env=all.prod.devices %*
