#!/bin/bash
# Runs end-to-end export/build/deploy process
set -e
set -o pipefail
basedir=$(dirname $0)
call_ant="ant -Dbasedir=$basedir"
build_script=$basedir/dp-build-deploy.xml
# Export all artifacts from dev
# note that we're saving config export in a temp directory since these files would already be checked in
$call_ant -f $build_script export.services -Ddp.env=dev -Dservices.config.home=dpconfigs-temp "$@"
# Deploy files and configuration to test
$call_ant -f $build_script clean.deploy.services -Ddp.env=test "$@"
# Deploy to test by copying from dev directly (not recommended)
$call_ant -f $build_script deploy.services.copy -Ddp.env=test "$@"
$call_ant -f $build_script rollback -Ddp.env=test "$@"
# Deploy the build to pre-prod
$call_ant -f $build_script clean.deploy.domain -Ddp.env=preprod "$@"
# Deploy to our two prod devices
$call_ant -f $build_script clean.deploy.domain -Ddp.env=all.prod.devices "$@"
