#!/bin/bash
set -e
echo '*** deployCrypto'
# delete all existing cryptos if needed
dpbuddy delConfig -objects "Crypto.*" -quiet
# Deploy certs and keys from various stand-alone files (OpenSSL formats)
dpbuddy deployCrypto -dir crypto_files -includes "*.pem *.cer *.key *.pkcs8" -excludes "myarch.pem" -passwords "self_signed:changeit"
# Deploy certs and keys from the keystore that match the names
dpbuddy deployCrypto -file crypto_files/test_keystore.jks -ksNames "local-app, keypair-1" -passwords "test_keystore:changeit,keypair-1:changeit"
# you can also specify passwords (or any other value) in dpbuddy.conf
dpbuddy deployCrypto -file crypto_files/test_keystore.jks -ksNames "local-app, keypair-1" -passwords "\${crypto.passwd}"
# Deploy the cert from the file without the issuer chain and download its issuer cert from the AIA URL
dpbuddy deployCrypto -dir crypto_files -includes "myarch.pem" -fromAIA
# Deploy directly from an endpoint (including the issuers)
dpbuddy deployCrypto -endpoint myarch.com
# Deploy only the certs (and their issuers) that have myarch.com in CN or in alternative names
dpbuddy deployCrypto -subjects myarch.com -dir crypto_files -includes "*.pem test_keystore.*" -passwords "test_keystore:ENC{+MmRqtwXqYFpbpk9r3NTfrxMXR9m21xT}" -keys false

# verify what cryptos we now have
dpbuddy listObjects -objects "Crypto.*,Password.*"
