#!/bin/bash
set -e
# List certificates, keys, password aliases, checks are not performed
dpbuddy listCrypto -issuerCol false -serial
# Display certs only, run policy checks defined in crypto.conf. Suppress the issuers columns to save space.
dpbuddy listCrypto -keys false -pa false -runChecks -issuerCol false
set +e
# Certs only, run policy checks defined in crypto.conf and fail if any of the checks failed
dpbuddy listCrypto -keys false -pa false -runChecks -failOnCheckFailure
set -e
# Generate excel report; Display the serial number of the certificates so we can see the duplicates
dpbuddy listCrypto -runChecks -excel
# print usage of all found crypto objects
dpbuddy listCrypto -usage -issuerCol false -auditCol false
