#!/bin/bash
set -e
echo '*** backup-restore'
# Create non-secure backup including all the domains starting with "dpbuddy". Don't fail if no matching domain is found
dpbuddy backup -file backups/backup.zip -domainPatterns "dpbuddy.*" -failIfNoDomain false -env qa
# Restore the backup into our DR appliance
dpbuddy restore -file backups/backup.zip -env dr
# Create secure backup in the directory specified in dpDir and then download
# the backup files to toDir
dpbuddy secureBackup -cert dp-backup -toDir testfiles/sbackup -appendTimestamp -env qa
# Create backups of multiple devices
dpbuddy secureBackup -cert dp-backup -toDir 'testfiles/${dpUrl}/sbackup' -appendTimestamp -env "qa,dr"

# Create another secure backup that we will subsequently restore
dpbuddy secureBackup -cert dp-backup -toDir sbackups/sync -env qa
# Perform secure restore of the DR appliance
dpbuddy secureRestore -cred dp-restore -dir sbackups/sync -waitForReboot -env dr
