@echo off
rem Apply configuration to multiple objects at once, e.g., enable admin state
call dpbuddy updateConfig -objects "XMLFire.*,WSG.*" -updates "mAdminState: enabled"
if %errorlevel% neq 0 (exit /b %errorlevel%)
rem Any configuration could be updated, HOCON properties should match exported XML
call dpbuddy updateConfig -objects "XMLFire.*" -updates "DoHostRewrite:on, Priority: normal, HTTPCompression: off"
if %errorlevel% neq 0 (exit /b %errorlevel%)
rem update Web service proxy back-end
call dpbuddy updateConfig -objects WSEndpointRewritePolicy -updates  "WSEndpointRemoteRewriteRule:[{ServicePortMatchRegexp: \"{http://personservice}PersonService$\"}, {RemoteEndpointProtocol: http}, {RemoteEndpointHostname:foo1}, {RemoteEndpointPort:3040}, {RemoteEndpointURI:null}, {RemoteMQQM:null}, {RemoteTibcoEMS:null}, {RemoteWebSphereJMS:null}]"
rem Apply configuration residing in "modify-lbg.xml"
rem This file could reference variables defined in DPBuddy configuraiton file
call dpbuddy modifyConfig -file dpconfigs/modify-lbg.xml
if %errorlevel% neq 0 (exit /b %errorlevel%)

rem save configuration of all domains
dpbuddy saveAll


